## org.apache.myfaces.taglib.html
Class HtmlComponentTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  BufferTag, HtmlCommandButtonTagBase, HtmlCommandLinkTagBase, HtmlFormTagBase, HtmlGraphicImageTagBase, HtmlInputTagBase, HtmlMessagesTagBase, HtmlMessageTagBase, HtmlOutputFormatTagBase, HtmlOutputLabelTagBase, HtmlOutputLinkTagBase, HtmlOutputTextTagBase, HtmlPopupTag

public abstract class HtmlComponentTagBase
extends UIComponentTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlComponentTagBase()`

Method Summary
`void` `release()`
`void` `setDir(java.lang.String dir)`
`void` `setLang(java.lang.String lang)`
`void` `setOnclick(java.lang.String onclick)`
`void` `setOndblclick(java.lang.String ondblclick)`
`void` `setOnkeydown(java.lang.String onkeydown)`
`void` `setOnkeypress(java.lang.String onkeypress)`
`void` `setOnkeyup(java.lang.String onkeyup)`
`void` `setOnmousedown(java.lang.String onmousedown)`
`void` `setOnmousemove(java.lang.String onmousemove)`
`void` `setOnmouseout(java.lang.String onmouseout)`
`void` `setOnmouseover(java.lang.String onmouseover)`
`void` `setOnmouseup(java.lang.String onmouseup)`
`protected void` `setProperties(javax.faces.component.UIComponent component)`
`void` `setStyle(java.lang.String style)`
`void` `setStyleClass(java.lang.String styleClass)`
`void` `setTitle(java.lang.String title)`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlComponentTagBase

    public HtmlComponentTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `UIComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `UIComponentTagBase`

### setStyleClass

    public void setStyleClass(java.lang.String styleClass)

### setDir

    public void setDir(java.lang.String dir)

### setLang

    public void setLang(java.lang.String lang)

### setStyle

    public void setStyle(java.lang.String style)

### setTitle

    public void setTitle(java.lang.String title)

### setOnclick

    public void setOnclick(java.lang.String onclick)

### setOndblclick

    public void setOndblclick(java.lang.String ondblclick)

### setOnmousedown

    public void setOnmousedown(java.lang.String onmousedown)

### setOnmouseup

    public void setOnmouseup(java.lang.String onmouseup)

### setOnmouseover

    public void setOnmouseover(java.lang.String onmouseover)

### setOnmousemove

    public void setOnmousemove(java.lang.String onmousemove)

### setOnmouseout

    public void setOnmouseout(java.lang.String onmouseout)

### setOnkeypress

    public void setOnkeypress(java.lang.String onkeypress)

### setOnkeydown

    public void setOnkeydown(java.lang.String onkeydown)

### setOnkeyup

    public void setOnkeyup(java.lang.String onkeyup)